Get Top Products
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/top-products \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/top-products"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/top-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"has_more": true,
"page": 1,
"size": 20,
"total_count": 500
},
"list": [
{
"comment": 72,
"cost": 4660,
"cover_url": null,
"cpa": 3.22,
"ctr": 2.16,
"cvr": 7.76,
"ecom_type": "13",
"first_ecom_category": {
"id": "605196",
"label": "category_605196",
"value": "Automotive & Motorbike"
},
"impression": 1740000,
"like": 3004,
"play_six_rate": 8.94,
"post": 123,
"post_change": 2.13,
"second_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"share": 109,
"third_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"url_title": "Cleaning-Care-Fluids"
}
]
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Top Products
Get Top Products
GET
/
api
/
trending
/
top-products
Get Top Products
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Page
Example:
1
Last in days:
- 1: Yesterday
- 7: Last 7 days
- 30: Last 30 days
Available options:
7, 30, 120 Example:
7
Order by:
- post: Popularity
- post_change: Popularity change
- ctr: CTR
- cvr: CVR
- cpa: CPA
- cost: Cost
- like: Like
- share: Share
- comment: Comment
- impression: Impression
- play_six_rate: 6s view rate
Available options:
post, post_change, ctr, cvr, cpa, cost, like, share, comment, impression, play_six_rate Example:
"post"
Search Keyword
Category ID:
- 605196: Automotive & Motorbike
- 602284: Baby & Maternity
- 601450: Beauty & Personal Care
- 801928: Books, Magazines & Audio
- 951432: Collectibles
- 601755: Computers & Office Equipment
- 605248: Fashion Accessories
- 700437: Food & Beverages
- 604453: Furniture
- 700645: Health
- 604968: Home Improvement
- 600001: Home Supplies
- 600942: Household Appliances
- 953224: Jewellery, Accessories & Derivatives
- 802184: Kids Fashion
- 600024: Kitchenware
- 824584: Luggage & Bags
- 824328: Menswear & Men's Underwear
- 601303: Muslim Fashion
- 602118: Pet Supplies
- 601739: Phones & Electronics
- 601352: Shoes
- 603014: Sports & Outdoor
- 600154: Textiles & Soft Furnishings
- 604579: Tools & Hardware
- 604206: Toys & Hobbies
- 834312: Virtual Products
- 601152: Womenswear & Women's Underwear
Available options:
605196, 602284, 601450, 801928, 951432, 601755, 605248, 700437, 604453, 700645, 604968, 600001, 600942, 953224, 802184, 600024, 824584, 824328, 601303, 602118, 601739, 601352, 603014, 600154, 604579, 604206, 834312, 601152 Example:
"601739"
Example:
"2025-07-06"
Example:
"2024-04"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

